import { readCostMap, solve}  from "./solver.ts";

const input = await Deno.readTextFile("example.txt");
const costMap = readCostMap(input);
// console.log(costMap)

const result = solve(costMap, [costMap[0].length - 1, costMap.length - 1]);
console.log(result);